SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Xen Vendors:   Xen Project
(Oracle Issues Fix for Oracle Linux for Xen) QEMU Buffer Overflow in ne2000_receive() Lets Local Guest Users Deny Service or Execute Arbitrary Code on the Host System
SecurityTracker Alert ID:  1034165
SecurityTracker URL:  http://securitytracker.com/id/1034165
CVE Reference:   CVE-2015-5279   (Links to External Site)
Date:  Nov 17 2015
Impact:   Denial of service via network, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in QEMU. A local user on the guest system can cause denial of service conditions on the host system or potentially execute arbitrary code on the host system. Xen is affected.

A local privileged user on the guest system can trigger a buffer overflow in the ne2000_receive() function and cause the target QEMU instance to crash or potentially execute arbitrary code on the host system.

Systems built with the NE2000 NIC emulation support are affected.

Impact:   A local user on the guest system can cause denial of service conditions on the host system or potentially execute arbitrary code on the host system.
Solution:   Oracle has issued a fix for Xen.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2015-2065.html

Vendor URL:  linux.oracle.com/errata/ELSA-2015-2065.html (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  5

Message History:   This archive entry is a follow-up to the message listed below.
Sep 16 2015 QEMU Buffer Overflow in ne2000_receive() Lets Local Guest Users Deny Service or Execute Arbitrary Code on the Host System



 Source Message Contents

Subject:  [El-errata] ELSA-2015-2065 Important: Oracle Linux 5 xen security update

Oracle Linux Security Advisory ELSA-2015-2065

http://linux.oracle.com/errata/ELSA-2015-2065.html

The following updated rpms for Oracle Linux 5 have been uploaded to the 
Unbreakable Linux Network:

i386:
xen-libs-3.0.3-147.el5_11.i386.rpm
xen-3.0.3-147.el5_11.i386.rpm
xen-devel-3.0.3-147.el5_11.i386.rpm

x86_64:
xen-libs-3.0.3-147.el5_11.i386.rpm
xen-libs-3.0.3-147.el5_11.x86_64.rpm
xen-3.0.3-147.el5_11.x86_64.rpm
xen-devel-3.0.3-147.el5_11.i386.rpm
xen-devel-3.0.3-147.el5_11.x86_64.rpm

ia64:
xen-libs-3.0.3-147.el5_11.ia64.rpm
xen-3.0.3-147.el5_11.ia64.rpm
xen-devel-3.0.3-147.el5_11.ia64.rpm


SRPMS:
http://oss.oracle.com/ol5/SRPMS-updates/xen-3.0.3-147.el5_11.src.rpm



Description of changes:

[3.0.3-147.el5]
- net: add checks to validate ring buffer pointers
- Resolves: bz#1263273
   (xen: qemu: Heap overflow vulnerability in ne2000_receive() function)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC